VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Class1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Public WithEvents appevent As Application
Attribute appevent.VB_VarHelpID = -1

Private Sub appevent_SlideShowNextSlide(ByVal Wn As SlideShowWindow)
  Dim sld As Slide
  Set sld = Wn.View.Slide
    Dim s As shape
    For Each s In sld.Shapes
      If s.Name Like "ShockwaveFlash*" Then
        Dim swf As ShockwaveFlash
        Set swf = s.OLEFormat.Object
        'MsgBox s.Name
        Dim fn As String
        fn = swf.Movie
        With swf
          .Movie = "dummy"
          .Movie = fn
          .WMode = "Direct"
          .FrameNum = -1
          .Playing = True
        End With
      End If
    Next
End Sub
